Skip to Content

List documents created from a template

You're viewing API version 2026-09, which is deprecated and stops working on October 1, 2027. To move your integration, see Upgrading to 2026-10.
GET
/api/v1/templates/{id}/documents

Returns documents that were created from the given template, paginated.

Authorization

headerAuthorizationBearer <token>

Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.

Path Parameters

id*string

Query Parameters

Header Parameters

authorization*string

Bearer token for API authentication

Response Body

Paginated list of documents created from a template

application/json
  1. response

Paginated list of documents created from a template

documents*array<>

Array of documents

total*number

Total number of documents created from the template

totalPages*number

Total number of pages available

Example Request
curl -X GET 'https://app.sajn.se/api/v1/templates/string/documents?page=1&perPage=20' \  -H 'authorization: string'
Example Response
{  "documents": [    {      "id": "string",      "externalId": "string",      "expiresAt": "2019-08-24T14:15:22Z",      "name": "string",      "status": "string",      "documentMeta": {        "subject": "string",        "message": "string",        "signingOrder": "PARALLEL",        "forceReadFullDocument": true,        "showChatToSigners": true,        "preferredLanguage": "sv",        "value": "string",        "redirectUrl": "string",        "redirectEnabled": true,        "internalRecipients": [          "string"        ],        "signableAfterExpired": true,        "sendPlainTextEmailOnly": true,        "reminderIntervalDays": "string",        "allowDelegation": true,        "accessVerification": "NONE",        "aiChatEnabled": true,        "ssnDisplayMode": "FULL",        "sameDeviceSigning": true,        "documentCategoryId": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "completedAt": "2019-08-24T14:15:22Z"    }  ],  "total": 0,  "totalPages": 0}

Was this page helpful?